Debian Bug report logs - #648498
"zfs list" aborts with EINVAL (only on kFreeBSD 8.1)

version graph

Package: zfsutils; Maintainer for zfsutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for zfsutils is src:zfsutils.

Reported by: Robert Millan <rmh@debian.org>

Date: Sat, 12 Nov 2011 10:09:02 UTC

Severity: important

Found in version zfsutils/8.3~svn226546-1

Fixed in version zfsutils/8.3~svn226546-3

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#648498; Package zfsutils. (Sat, 12 Nov 2011 10:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 12 Nov 2011 10:09:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: "zfs list" aborts with EINVAL (only on kFreeBSD 8.1)
Date: Sat, 12 Nov 2011 11:06:30 +0100
Package: zfsutils
Version: 8.3~svn226546-1
Severity: important

When installing zfsutils 8.3~svn226546-1 on a sid chroot that runs with
kFreeBSD 8.1:

  [...]
  Starting ZFS subsystem... swapinternal error: L��argument passat no és vàlid
  Aborted (core dumped)
   filesystemsinternal error: L��argument passat no és vàlid
  Aborted (core dumped)
   failed!
  invoke-rc.d: initscript zfs, action "start" failed.

Problem comes from "zfs list":

  $ LANG=C sudo zfs list
  internal error: Invalid argument

-- System Information:
Debian Release: 6.0.3
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.1-1-amd64
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Added tag(s) pending. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 13 Nov 2011 00:24:03 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sun, 13 Nov 2011 00:51:06 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Sun, 13 Nov 2011 00:51:06 GMT) Full text and rfc822 format available.

Message #12 received at 648498-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 648498-close@bugs.debian.org
Subject: Bug#648498: fixed in zfsutils 8.3~svn226546-3
Date: Sun, 13 Nov 2011 00:49:13 +0000
Source: zfsutils
Source-Version: 8.3~svn226546-3

We believe that the bug you reported is fixed in the latest version of
zfsutils, which is due to be installed in the Debian FTP archive:

libnvpair1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
  to main/z/zfsutils/libnvpair1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
libnvpair1_8.3~svn226546-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libnvpair1_8.3~svn226546-3_kfreebsd-amd64.deb
libumem1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
  to main/z/zfsutils/libumem1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
libumem1_8.3~svn226546-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libumem1_8.3~svn226546-3_kfreebsd-amd64.deb
libuutil1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
  to main/z/zfsutils/libuutil1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
libuutil1_8.3~svn226546-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libuutil1_8.3~svn226546-3_kfreebsd-amd64.deb
libzfs1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
  to main/z/zfsutils/libzfs1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
libzfs1_8.3~svn226546-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libzfs1_8.3~svn226546-3_kfreebsd-amd64.deb
libzpool1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
  to main/z/zfsutils/libzpool1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
libzpool1_8.3~svn226546-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libzpool1_8.3~svn226546-3_kfreebsd-amd64.deb
zfsutils-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
  to main/z/zfsutils/zfsutils-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
zfsutils_8.3~svn226546-3.debian.tar.gz
  to main/z/zfsutils/zfsutils_8.3~svn226546-3.debian.tar.gz
zfsutils_8.3~svn226546-3.dsc
  to main/z/zfsutils/zfsutils_8.3~svn226546-3.dsc
zfsutils_8.3~svn226546-3_kfreebsd-amd64.deb
  to main/z/zfsutils/zfsutils_8.3~svn226546-3_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 648498@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated zfsutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 13 Nov 2011 01:21:46 +0100
Source: zfsutils
Binary: libuutil1 libuutil1-udeb libnvpair1 libnvpair1-udeb libzfs1 libzfs1-udeb zfsutils zfsutils-udeb libumem1 libumem1-udeb libzpool1 libzpool1-udeb
Architecture: source kfreebsd-amd64
Version: 8.3~svn226546-3
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 libnvpair1 - OpenSolaris name-value pair library
 libnvpair1-udeb - OpenSolaris name-value pair library (debian-installer version) (udeb)
 libumem1   - OpenSolaris memory-management library
 libumem1-udeb - OpenSolaris memory-management library (debian-installer version) (udeb)
 libuutil1  - OpenSolaris userland utility library
 libuutil1-udeb - OpenSolaris userland utility library (debian-installer version) (udeb)
 libzfs1    - OpenSolaris ZFS library
 libzfs1-udeb - OpenSolaris ZFS library (debian-installer version) (udeb)
 libzpool1  - OpenSolaris interface library to manage ZFS storage pools
 libzpool1-udeb - OpenSolaris interface library to manage ZFS storage pools (debian (udeb)
 zfsutils   - command-line tools to manage ZFS filesystems
 zfsutils-udeb - command-line tools to manage ZFS filesystems (debian-installer ve (udeb)
Closes: 648498
Changes: 
 zfsutils (8.3~svn226546-3) unstable; urgency=low
 .
   * Do not attempt to unmount /, as this always fails.
   * Set Breaks on kernel versions with pre-v28 ZFS.  (Closes: #648498)
Checksums-Sha1: 
 2ed3a8d07292c6448493ee230ebb7575ea02b179 2083 zfsutils_8.3~svn226546-3.dsc
 a931283f93247bd723c6dfe8e1ff4081e0c770f8 55939 zfsutils_8.3~svn226546-3.debian.tar.gz
 6c2c94aea1299f733fa618eb0e6067e8d54bca71 30616 libuutil1_8.3~svn226546-3_kfreebsd-amd64.deb
 19c8ba3830aa679472cb78f1925ad8dd1acb3c7c 17682 libuutil1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
 1c50d66a9744db04fc5fcb1b7a42eff6a2a9645d 36594 libnvpair1_8.3~svn226546-3_kfreebsd-amd64.deb
 84282128d7b217578c737d1bfca4d11844d52486 23612 libnvpair1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
 7f6892c3e461a2453b236f964dcd9c5e868e647b 133144 libzfs1_8.3~svn226546-3_kfreebsd-amd64.deb
 21888a2244187f57f16c942a44a1419010e06ec9 120286 libzfs1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
 eef2e1dad03aa912fa3e21e06fe4338de6566b1f 229012 zfsutils_8.3~svn226546-3_kfreebsd-amd64.deb
 e5d8d930ddd2fb8a6c9899dae1092327df3c677d 80924 zfsutils-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
 988835d6564fa421a3059bd53a5ca768d16c58c9 15976 libumem1_8.3~svn226546-3_kfreebsd-amd64.deb
 ad2520651b1d5717bf057d30514a0fdf5a3bac4e 3064 libumem1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
 f9ee076ce16d74a086a3eb17845cc093dc7aea94 496526 libzpool1_8.3~svn226546-3_kfreebsd-amd64.deb
 a2b9d533fea5276b8b79656cca3688b4065e30ed 484004 libzpool1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
Checksums-Sha256: 
 da769cd723e4b466e01202d4b642c297d23568be36e6519dfc8b44d043e64b72 2083 zfsutils_8.3~svn226546-3.dsc
 20004e269ec1222c19b13975b46f384528ebda5ff39488a32037261fb9095524 55939 zfsutils_8.3~svn226546-3.debian.tar.gz
 7ec5e667ce9c92975fa2be3e79b0e9694509949b858e793db8d18f931392e838 30616 libuutil1_8.3~svn226546-3_kfreebsd-amd64.deb
 bd184d05d19327310ad23a0dc107e3eef544714faefa2d4b20559291e33b088f 17682 libuutil1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
 2712611d1fb057b36fe6245ba2097fb42a40406498c72c108e4527446ca7008a 36594 libnvpair1_8.3~svn226546-3_kfreebsd-amd64.deb
 4eb047df14bc2f2e4a7fa8cbff734e4a00c988e811b952453229873102c1811d 23612 libnvpair1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
 1b7af1bbd063522db85dda69c991bd40d797d3ef154eb124ad85ea6e0d43d3c7 133144 libzfs1_8.3~svn226546-3_kfreebsd-amd64.deb
 208980b83c3235e05038e36d621a1569e4fb3959f96bbdd31111c24fe63e4c2c 120286 libzfs1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
 88abaf581460b75a69b0f58bfacdd376e250169147d1e7f7ebff5408fcb3b81f 229012 zfsutils_8.3~svn226546-3_kfreebsd-amd64.deb
 288045ad5316a9920680b2d6a643c8bec501f8a9cec70a6396e0666c1efddc73 80924 zfsutils-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
 4074078cff5718c31cf8df0394c0a4462f249c64411c5a6e25ef29d40f6b9f02 15976 libumem1_8.3~svn226546-3_kfreebsd-amd64.deb
 a6d645ccd23ac48932866d03ee32e5fe048c13c5d9ab0e685fdcd9798e9c1b16 3064 libumem1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
 ceded7d95374265426fc792c7ea42723e3d3dc94d5033c1f172bb8168f74f519 496526 libzpool1_8.3~svn226546-3_kfreebsd-amd64.deb
 188bdebd8a7c960a85f79fdacdeef7157965bdd97d39b40b70434964de18a4ae 484004 libzpool1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
Files: 
 552b0838e1b56195ac2a1ef2ff9b98ff 2083 admin optional zfsutils_8.3~svn226546-3.dsc
 928ff7511e888db30a82a58547352132 55939 admin optional zfsutils_8.3~svn226546-3.debian.tar.gz
 19127015e7942324594a7663466f4886 30616 libs optional libuutil1_8.3~svn226546-3_kfreebsd-amd64.deb
 4c7598dcf7983031fa1a834f25465bfd 17682 debian-installer optional libuutil1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
 ab003895099eeb2f78c4cc12ca335e36 36594 libs optional libnvpair1_8.3~svn226546-3_kfreebsd-amd64.deb
 c5500834ef8752be9de0dbe55657b24b 23612 debian-installer optional libnvpair1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
 b5180800c13b0ec9da4c165f757e80ad 133144 libs optional libzfs1_8.3~svn226546-3_kfreebsd-amd64.deb
 c71d2b8b444f1585376d8998f147259b 120286 debian-installer optional libzfs1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
 fddc438ac613bcf69146294dbc8bd6d0 229012 admin optional zfsutils_8.3~svn226546-3_kfreebsd-amd64.deb
 ab3495609825c871b338a8d055cbf72b 80924 debian-installer optional zfsutils-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
 5cfeb0a8793baf5aaad852ee773b7d96 15976 libs optional libumem1_8.3~svn226546-3_kfreebsd-amd64.deb
 ef1496b3b0bde5ded87657e479a3d015 3064 debian-installer optional libumem1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb
 14357896b7b3c1e4c647ffb29a8a148a 496526 libs optional libzpool1_8.3~svn226546-3_kfreebsd-amd64.deb
 10b639ea87d89517b398a2a4cd15c8d8 484004 debian-installer optional libzpool1-udeb_8.3~svn226546-3_kfreebsd-amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk6/D/EACgkQC19io6rUCv96wACfYTeKy4jI4yFLGDjJEp04jp3k
vGgAnj/lSfBC/L54JrdO3x4dTGxx2rBv
=6OUM
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 11 Dec 2011 07:37:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 11:04:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.